<html lang="en" xmlns:th="http://thymeleaf.org">

<head>
	<title>Variants Page</title>
</head>

<body>
	<h1>Variants List</h1>

	<button onclick="window.location.href='/variants/addformvariants'">Create New</button>
	<br>
	<br>

	<table border="1">
		<thead>
			<tr>
				<th>Category</th>
				<th>Intial</th>
				<th>Name</th>
				<th>Active</th>
				<th colspan = "2">Action</th>
			</tr>
		</thead>
		<tbody>
			<tr th:each="item:${listVariants}">
				<td th:text="${item.category.categoryInitial}"></td>
				<td th:text="${item.initial}"></td>
				<td th:text="${item.name}"></td>
				<td><input type="checkbox" disabled name="isactive" th:checked="${item.active}"></td>
				<td><a th:href="@{/variants/edit/{id}(id=${item.id})}">Edit</a></td>
				<td><a th:href="@{/variants/delete/{id}(id=${item.id})}">Delete</a></td>
			</tr>
		</tbody>
	</table>
</body>

</html>